Subject: Errata for RFC 4314 (IMAP4 Access Control List (ACL) Extension)

From: Alexey Melnikov <[email-masked]>
Date: Sat, 31 Dec 2005 13:30:42 +0300

<>Hi,
<>The following errors were spotted by Arnaud Taddei 
<[email-masked]>:
<>
<>1). Section 2.1.1 (page 6) states:
<>
   The client has specified the "d" right in the SETACL command above
   and it expands to "et" on the server:

               C: A002 getacl INBOX/Drafts
               S: * ACL INBOX Fred rwipslxcetda David lrswideta
               S: A002 OK Getacl complete

It should say:
   The client has specified the "d" right in the SETACL command above
   and it expands to "et" on the server:

               C: A002 getacl INBOX/Drafts
               S: * ACL INBOX/Drafts Fred rwipslxcetda David lrswideta
               S: A002 OK Getacl complete

i.e. the second line of the example contained an error.

2). Section 2.1.1 (page 6) states:

   Example:    C: A003 Setacl INBOX/Drafts Byron lrswikda
               S: A001 OK Setacl complete
               C: A002 getAcl INBOX/Drafts
               S: * ACL INBOX Fred rwipslxcetda Byron lrswikcdeta
               S: A002 OK Getacl complete

It should say:

   Example:    C: A003 Setacl INBOX/Drafts Byron lrswikda
               S: A003 OK Setacl complete
               C: A004 getAcl INBOX/Drafts
               S: * ACL INBOX/Drafts Fred rwipslxcetda Byron lrswikcdeta
               S: A004 OK Getacl complete

3). Section 3.5 states:

   The MYRIGHTS command returns the set of rights that the user has to
   mailbox in an untagged MYRIGHTS reply.

It should say:

   The MYRIGHTS command returns the set of rights that the user has to
   the mailbox in an untagged MYRIGHTS reply.

Thank you and Happy New Year!
Alexey